Subject: A year ago you came to Russia, I remember you, write me!

From: [email-masked]
Date: Tue, 16 Mar 2010 10:39:04 +0100

7 new messages from ladies for you (dating) http://glom026.spaces.live.com